- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreMaterialSerializer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMaterial.h"`
`#include "OgreBlendMode.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
struct | Ogre::MaterialScriptProgramDefinition
| Struct for holding a program definition which is in progress. More...
struct | Ogre::MaterialScriptContext
| Struct for holding the script context while parsing. More...
class | Ogre::MaterialSerializer
| Class for serializing Materials to / from a .material script. More...
## Typedefs
typedef bool(* | Ogre::ATTRIBUTE_PARSER )(String &params, MaterialScriptContext &context)
| Function def for material attribute parser; return value determines if the next line should be {.
## Enumerations
enum | Ogre::MaterialScriptSection { Ogre::MSS_NONE, Ogre::MSS_MATERIAL, Ogre::MSS_TECHNIQUE, Ogre::MSS_PASS, Ogre::MSS_TEXTUREUNIT, Ogre::MSS_PROGRAM_REF, Ogre::MSS_PROGRAM, Ogre::MSS_DEFAULT_PARAMETERS, Ogre::MSS_TEXTURESOURCE }
| Enum to identify material sections. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008